Bug 1599321 - Config values inconsistency between RHV versions
Summary: Config values inconsistency between RHV versions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-4.3.0
: 4.3.0
Assignee: Eli Mesika
QA Contact: Lucie Leistnerova
URL:
Whiteboard:
Depends On:
Blocks: 1595871 1605076
TreeView+ depends on / blocked
 
Reported: 2018-07-09 13:39 UTC by Martin Perina
Modified: 2020-02-25 13:29 UTC (History)
9 users (show)

Fixed In Version: ovirt-engine-4.3.0_alpha
Doc Type: Release Note
Doc Text:
There are inconsistencies in the following internal configuration options: - HotPlugCpuSupported - HotUnplugCpuSupported - HotPlugMemorySupported - HotUnplugMemorySupported - IsMigrationSupported - IsMemorySnapshotSupported - IsSuspendSupported - ClusterRequiredRngSourcesDefault Systems that have upgraded from RHV 4.0 to RHV 4.1/4.2 and are experiencing problems with these features should upgrade to RHV 4.2.5 or later.
Clone Of:
: 1605076 (view as bug list)
Environment:
Last Closed: 2019-05-08 12:37:51 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)
config diff between 4.1 to 4.2 upgrade and clean install (17.19 KB, application/vnd.oasis.opendocument.spreadsheet)
2018-07-10 13:54 UTC, Eli Mesika
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2019:1085 0 None None None 2019-05-08 12:38:14 UTC
oVirt gerrit 92968 0 master MERGED db: fixing config values 2020-02-25 12:14:50 UTC
oVirt gerrit 92969 0 ovirt-engine-4.2 MERGED db: fixing config values 2020-02-25 12:14:50 UTC

Description Martin Perina 2018-07-09 13:39:34 UTC
Description of problem:

There's an inconsistency of HotUnplugMemorySupported value in 4.1 clusters between RHV versions:

1. Clean RHV 4.1 installation

      option_name        |         option_value          | version 
-------------------------+------------------------------+---------
HotUnplugMemorySupported | {"x86":"false","ppc":"false"} | 3.6
HotUnplugMemorySupported | {"x86":"false","ppc":"false"} | 4.0
HotUnplugMemorySupported | {"x86":"false","ppc":"false"} | 4.1


2. RHV 4.2 upgraded from RHV 4.1

      option_name        |                option_value                 | version 
-------------------------+---------------------------------------------+---------
HotUnplugMemorySupported | {"x86":"false","ppc":"false"}               | 3.6
HotUnplugMemorySupported | {"x86":"false","ppc":"false"}               | 4.0
HotUnplugMemorySupported | {"x86":"false","ppc":"false"}               | 4.1
HotUnplugMemorySupported | {"x86":"true","ppc":"true","s390x":"false"} | 4.2



3. Clean RHV 4.2 installation

      option_name        |                option_value                 | version 
-------------------------+---------------------------------------------+---------
HotUnplugMemorySupported | {"x86":"false","ppc":"false"}               | 3.6
HotUnplugMemorySupported | {"x86":"false","ppc":"false"}               | 4.0
HotUnplugMemorySupported | {"x86":"true","ppc":"false"}                | 4.1
HotUnplugMemorySupported | {"x86":"true","ppc":"true","s390x":"false"} | 4.2

Comment 1 Martin Perina 2018-07-09 13:42:38 UTC
Michale, so what's the correct value for HotUnplugMemorySupported for 4.1 clusters?

Comment 2 Michal Skrivanek 2018-07-10 04:13:28 UTC
Supported in 4.1 for x86_64
Not supported for ppc64le until 4.2

It was probably broken quite early in 4.1 already without people noticing

Comment 3 Martin Perina 2018-07-10 06:40:13 UTC
Workaround for existing 4.1/4.2 customers:

1. Login to RHV manager host as root

2. Execute following commands:

   . /etc/ovirt-engine/engine.conf.d/10-setup-database.conf

   PGPASSWORD="$ENGINE_DB_PASSWORD" psql -h "${ENGINE_DB_HOST}" \
       -d "${ENGINE_DB_DATABASE}" -U "${ENGINE_DB_USER}" \
       -c "update vdc_options set option_value='{\"x86\":\"true\",\"ppc\":\"false\"}' where option_name = 'HotUnplugMemorySupported' and version='4.1';"

3. Restart ovirt-engine service

   systemctl restart ovirt-engine

Comment 4 Eli Mesika 2018-07-10 13:53:37 UTC
This is not specific to the HotUnplugMemorySupported values , in the attached document there are 24 values that are not correct when you compare 4.1 to 4.2 upgrade VS 4.2 clean install

Comment 5 Eli Mesika 2018-07-10 13:54:54 UTC
Created attachment 1457836 [details]
config diff between 4.1 to 4.2 upgrade and clean install

Comment 6 Martin Perina 2018-07-10 13:56:45 UTC
Marking as a blocker, this affects RHV 4.2 customers upgrading from 4.1 badly (new 4.2 installations are not affected)

Comment 7 Eli Mesika 2018-07-10 14:10:01 UTC
The reason for most of those changes between upgrade an clean install is [1] which did a change in config in an upgrade script instead of modifying 0000_config.sql directly , since 0000_config.sql is running in each upgrade, the changes made by [1] to 4.0 are overridden whilw installing 4.1


[1] https://gerrit.ovirt.org/#/c/49299/8/packaging/dbscripts/upgrade/04_00_0080_rename_architecture_family.sql

Comment 8 Eli Mesika 2018-07-18 08:57:43 UTC
(In reply to Martin Perina from comment #0)

Please note that the original bug on the HotUnplugMemorySupported value for 4.1 will not be fixed since it is probably supported but was not tested for 4.1 

Customers willing to use this feature will have to enable it manually for 4.1 on their DBs on their own risk

Comment 9 Martin Perina 2018-07-20 06:37:18 UTC
Workaround mentioned in Comment 3 is not valid, HotUnplugMemorySupported should be disabled in RHV 4.1 as it was not fully tested by QE (sorry for the confusion). And what's more important, there are much more inconsistencies on other values:

HotPlugCpuSupported
HotUnplugCpuSupported
HotPlugMemorySupported
HotUnplugMemorySupported
IsMigrationSupported
IsMemorySnapshotSupported
IsSuspendSupported
ClusterRequiredRngSourcesDefault

So if RHV 4.1/4.2 customers, who upgraded from RHV 4.0, have issues around above features, they need to upgrade to RHV 4.2.5+.

Comment 11 Lucie Leistnerova 2018-09-04 06:37:03 UTC
Upgrade 4.1.9 -> 4.3 and clean 4.3 has no differences in vdc_options values
and HotUnplugMemorySupported is {"x86":"false","ppc":"false"} for version < 4.2

verified in ovirt-engine-4.3.0-0.0.master.20180902070649.gita860c9c.el7.noarch

Comment 13 errata-xmlrpc 2019-05-08 12:37:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:1085

Comment 14 Daniel Gur 2019-08-28 13:11:36 UTC
sync2jira

Comment 15 Daniel Gur 2019-08-28 13:15:49 UTC
sync2jira


Note You need to log in before you can comment on or make changes to this bug.